//
//  NearbyMessagesApiMCMs.h
//  Pods
//
//  Created by Thomas Cross on 3/2/19.
//

#ifndef NearbyMessagesApiMCMs_h
#define NearbyMessagesApiMCMs_h

#import <Flutter/Flutter.h>

@interface NearbyMessagesApiMCMs : NSObject
- (instancetype)initWithChannel:(FlutterMethodChannel *)channel NS_DESIGNATED_INITIALIZER;
- (void)backgroundSubscribe;
- (void)backgroundUnsubscribe;
- (void)setNearbyAccessPermission:(BOOL)value;
- (void)publish:(NSString *) message;
- (void)unPublish;
- (void)setAPIKey:(NSString *) apikey;
- (void)enableDebugMode;
- (void)disableDebugMode;
- (void)setPermissionAlert:(NSString *)titleText
                          :(NSString *)messageText
                          :(NSString *)denyText
                          :(NSString *)grantText;
@end

#endif /* NearbyMessagesApiMCMs_h */
